POST
/v1/mgmt/jwt/templates/listAuthorization
Descope Project ID and Management Key AuthorizationBearer <token>
Project ID:Management Key as bearer token.
In: header
Request Body
application/json
List every JWT template defined on the current project. Returns full field detail for each — name, description, type (key|user), tags, claim body, authSchema, issuerType, etc.
curl -X POST "https://api.descope.com/v1/mgmt/jwt/templates/list" \ -H "Content-Type: application/json" \ -d '{}'{ "templates": [ { "id": "string", "name": "string", "description": "string", "template": {}, "source": "string", "tags": [ "string" ], "authSchema": "string", "type": "string", "conformanceIssuer": true, "autoDCT": true, "enforceIssuer": true, "emptyClaimPolicy": "string", "overrideSubject": true, "issuerType": "string", "omitCustomClaimsFromDSR": true, "addJti": true, "excludePermissions": true } ]}export interface Response {templates?: {id?: stringname?: stringdescription?: stringtemplate?: {}source?: stringtags?: string[]authSchema?: stringtype?: stringconformanceIssuer?: booleanautoDCT?: booleanenforceIssuer?: booleanemptyClaimPolicy?: stringoverrideSubject?: booleanissuerType?: stringomitCustomClaimsFromDSR?: booleanaddJti?: booleanexcludePermissions?: boolean}[]} Was this helpful?